
package jerarquiapolimorfica;

import encapsuladores.Estado;
import excepciones.GenericaExcepcion;

public abstract class EstructuraGenerica {
    
    byte numeroEstadosIntroducidos = 0;

    public abstract void insertarEstado(Estado estado);
    
    public abstract Estado getEstado(Estado estado) throws GenericaExcepcion ;

    public abstract String getConjuntoEstados();    
    
    public int getNumeroEstados() {
        return numeroEstadosIntroducidos;
    }  
    
    public void salvarDatos() throws Exception {
    }     
    
}
